/*!
 * jQuery Ejemplos de barras de progreso
 * http://www.aplicacioneswebmultiplataforma.es
 *
 * Author: Miguel Ángel Contreras Castañeda
 *
 *
 * Date: 2018-02-19
 * License: Puede usar todo el código siempre y cuando se haga mención al autor
 */

 $(document).ready(function(){


	$("#enviarFormulario1").click(function(){

		abrir_dialog();

	});


	$("#enviarFormulario2").click(function(){

		abrir_dialog();

	});

	$("#enviarFormulario3").click(function(){

		abrir_dialog();

	});

	$("#enviarFormulario4").click(function(event){
    event.preventDefault();
		abrir_dialog();

	});





    function abrir_dialog() {

      //más información sobre dialog
      //https://api.jqueryui.com/dialog/

      $( "#dialog" ).dialog({
        buttons: [
          {
            text: "Cancelar",
            icons: {
              primary: "ui-icon-heart"
            },
            click: function() {
              $( this ).dialog( "close" );
            }
       
            // Uncommenting the following line would hide the text,
            // resulting in the label being used as a tooltip
            //showText: false
          }
        ]
      });

    var miProgressbar = $( "#miBarraProgreso" ),
      progressLabel = $( ".progress-label" );
    
    $( ".progress-label" ).css("color","blue");

    miProgressbar.progressbar({
      value: false,
      change: function() {
        progressLabel.text( miProgressbar.progressbar( "value" ) + "%" );
        console.log( miProgressbar.progressbar( "value" ) + "%"  );
      },
      complete: function() {
        progressLabel.text( "¡Proceso terminado!" );
        console.log("Espero para cerrar la Barra de Progreso");
        
        setTimeout( function cerrar(){

          //Aquí puedo hacer lo que quiera al cerrar la ventana
          $( "#dialog" ).dialog( "close" );
          console.log("He cerrado la Barra de Progreso");
          console.log("Ahora me voy a ir a una url en concreto");
          url = "index.html";
          //o también
          //url = "http://localhost/BarraProgreso3/";
           $(location).attr('href',url);
        }, 3500 );

      }
    });
 


    function progreso() {
      var val = miProgressbar.progressbar( "value" ) || 0;
 
      miProgressbar.progressbar( "value", val + 2 );
 
      if ( val < 99 ) {
        setTimeout( progreso, 120 );
      }
    }
 
    setTimeout( progreso, 1500 );


    };







});//fin de la lectura del documento

